<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2016 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<!-- This file contains configurations used to prepare a testing device for running the
     test in AfwTestSuwPoProvisioningTestCases.apk.
-->
<configuration description="Test configurations for AfwTestSuwPoProvisioningTestCases">

    <!-- Factory Reset Device -->
    <include name="afw-test-factory-reset"/>

    <!-- General device setup -->
    <include name="afw-test-common"/>

    <!-- Encrypt Device -->
    <include name="afw-test-encrypt-device"/>

    <!-- Connect wifi -->
    <include name="afw-test-wifi"/>

    <!-- Push afw-test.props -->
    <include name="afw-test-push-test-suite-config"/>

    <!-- Remove non-primary user after the test. -->
    <target_preparer class="com.android.afwtest.tradefed.targetprep.AfwTestUserRemover">
        <option name="remove-users-before-test" value="false"/>
    </target_preparer>

    <!-- Force-stop Google Search App after the test as it often becomes not responding. -->
    <target_preparer class="com.android.tradefed.targetprep.RunCommandTargetPreparer">
        <option name="teardown-command" value="am force-stop com.google.android.googlequicksearchbox"/>
    </target_preparer>

    <!-- Dump testing environment info to android-cts/repository/logs/ -->
    <target_preparer class="com.android.afwtest.tradefed.targetprep.AfwTestEnvDumper" >
        <option name="file-name-prefix" value="AfwTestSuwPoProvisioningTestCases"/>
    </target_preparer>

</configuration>
